import java.io.*;

class fb extends f_xj
{
public double func(double x[]) 
{
//çözümü istenen fonksiyon
// newton metodu minimumaçalışıyor bu yüzden 
//- işaretitanımladık.	
double ff;
double eps=1.0e-5;
double y=Math.sqrt(x[0]*x[0]+x[1]*x[1]+eps);
return Math.sin(y)/y; //maksimum testi
}
}


class OPO19MC
{
    public static void main(String args[]) throws IOException
    {
	fb fx=new fb();
    double low[]=new double[2];
    double high[]=new double[2];
    low[0]=-20.0;high[0]=20.0;
    low[1]=-20.0;high[1]=20.0;
    //10 million iteration
    monte_carlo_opt mco=new monte_carlo_opt(10000000,low,high); 
    double xmax[]=mco.monte_carlo_max(fx);
    for(int i=0;i<xmax.length;i++)
    {System.out.println(xmax[i]);} 
    }
}
